Adding the same short_name option on multiple layers is possible

2017-03-08 04:49 AM - Tudor Bărăscu

Status: Open

Priority: Low

Assignee: Alessandro Pasotti

Category: QGIS Server

Affected QGIS version:3.7(master) Regression?: No

Operating System: Debian Stretch Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24227

Description

Adding the same short_name option on multiple layers is possible.

Accessing that short_name in a GetMap request results in only the first layer that was given that specific short_name to be called.

This could lead to confusion for big projects where by accident people use the same short_name for multiple layers.

How to reproduce:

Use the same short_name for at least two layers.

The GetMap request using the short_name point to the first layer that was given short_name.

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#2 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help
you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

#3 - 2019-04-08 10:01 AM - Tudor Bărăscu

- Status changed from Closed to Reopened

Still possible in 3.4 and master

#4 - 2019-04-08 11:08 AM - Giovanni Manghi

- Description updated

- Status changed from Reopened to Open

- Affected QGIS version changed from 2.18.4 to 3.7(master)

- Resolution deleted (end of life)

#5 - 2019-04-09 02:56 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti
